import ClassBindingContract from '../Contracts/Container/ClassBinding';
import Container from './Container';
import { Identifier, Instantiable } from '../types/container';
declare class ClassBinding implements ClassBindingContract {
    protected _container: Container;
    constructor(container: Container);
    getClosure<U, V>(abstract: Identifier<U>, concrete: Instantiable<V>): Function;
}
export default ClassBinding;
