import Container from './Container';
import ExtenderContract from '../Contracts/Container/Extender';
import { Identifier } from '../types/container';
declare class Extender implements ExtenderContract {
    protected _container: Container;
    protected _extenders: Map<any, Function[]>;
    constructor(container: Container);
    extend<T>(abstract: Identifier<T>, closure: Function): void;
    forgetExtenders<T>(abstract: Identifier<T>): void;
    hasExtenders<T>(abstract: Identifier<T>): boolean;
    getExtenders<T>(abstract: Identifier<T>): Function[] | undefined;
}
export default Extender;
