import IFunctionAnalyser from './IFunctionAnalyser';
import ParameterDescriptor from '../../Descriptors/ParameterDescriptor';
interface IClassAnalyser {
    hasConstructor(): boolean;
    getConstructorAnalyser(target: any): IFunctionAnalyser | undefined;
    getMethodAnalyser(target: any, name: string): IFunctionAnalyser | undefined;
    getConstructorParameters(target: any): ParameterDescriptor[] | undefined;
    getMethodParameters(target: any, name: string): ParameterDescriptor[] | undefined;
}
export default IClassAnalyser;
