import FunctionAnalyser from '../../Contracts/Parsing/FunctionAnalyser';
import ParameterDescriptor from '../../Descriptors/ParameterDescriptor';
declare abstract class AbstractClassAnalyser {
    abstract getConstructorAnalyser(target: any): FunctionAnalyser | undefined;
    abstract getMethodAnalyser(target: any, name: string): FunctionAnalyser | undefined;
    getConstructorParameters(target: any): ParameterDescriptor[] | undefined;
    getMethodParameters(target: any, name: string): ParameterDescriptor[] | undefined;
}
export default AbstractClassAnalyser;
