import AbstractClassAnalyser from '../AbstractClassAnalyser';
import ClassAnalyserContract from '../../../Contracts/Parsing/ClassAnalyser';
import FunctionAnalyserContract from '../../../Contracts/Parsing/FunctionAnalyser';
declare class ClassAnalyser extends AbstractClassAnalyser implements ClassAnalyserContract {
    private _ast;
    private _constructorAnalyser?;
    private _methodAnalysers;
    constructor(ast: any);
    hasConstructor(): boolean;
    getConstructorAnalyser(target: any): FunctionAnalyserContract | undefined;
    getMethodAnalyser(target: any, name: string): FunctionAnalyserContract | undefined;
    private _addMethodAnalyser;
    private _stringify;
}
export default ClassAnalyser;
