import AbstractClassAnalyser from '../AbstractClassAnalyser';
import ClassAnalyserContract from '../../../Contracts/Parsing/ClassAnalyser';
import FunctionAnalyser from '../../../Contracts/Parsing/FunctionAnalyser';
declare class ClassAnalyser extends AbstractClassAnalyser implements ClassAnalyserContract {
    private _ast;
    private _constructorAnalyser?;
    private _methodAnalysers;
    constructor(ast: any);
    hasConstructor(): boolean;
    getConstructorAnalyser(target: any): FunctionAnalyser | undefined;
    getMethodAnalyser(target: any, name: string): FunctionAnalyser | undefined;
    private _initialiseConstructorAnalyser;
    private _findConstructor;
    private _initialiseMethodAnalyser;
}
export default ClassAnalyser;
