import AbstractReflectionFunction from './AbstractReflectionFunction';
import ReflectionClass from './ReflectionClass';
import ReflectionParameter from './ReflectionParameter';
declare class ReflectionMethod extends AbstractReflectionFunction {
    private _descriptor?;
    constructor(target: any, name: string);
    private static _findDescriptor;
    getDeclaringClass(): ReflectionClass;
    getParameters(): ReflectionParameter[];
    isConstructor(): boolean;
    isStatic(): boolean;
    private _getTypes;
}
export default ReflectionMethod;
